function prepare_data2(dirnm)
%patient_code-> the name of the file with the patients' info
%dirnm->'OCD', 'Controls', etc
%the funtion creates the 3D array AMP(X,Y,Z)
%where X:number of node(1-15), Y:number of observations(512), Z:number of persons in the category


%enter the appropriate location
dirname = ['C:\MATLAB\work\DATA II\' dirnm];%['C:\Matlab\work\' type '\' dirnm '\DATA'];
cd (dirname);

%BEGIN loop for each patient
patient_code = [dirnm '.txt'];
f=fopen(patient_code,'rt');
if f==-1
   error('The file does not exist');
end
code=fgetl(f);
col=1;
while code ~=-1,
   if ~isempty(code),
      fprintf('%s\n',code);
   end
   strcode = [upper(code)];
    %begin loop for each node
    cd (dirname);
    for l=2:16
        xstr = num2str(l);
        if l<10
            try
                A=load([strcode,'_0' ,xstr, '.dat']);
            catch
                A(1:512,1)=0;
            end
        else
            try
                A=load([strcode,'_' ,xstr, '.dat']);
            catch
                A(1:512,1)=0;
            end
        end 
        AMP(l-1,1:512,col) = A(:,1);
   %end loop for each node
   end
   col=col+1;
   code=fgetl(f);
%END of loop for each patient
end
fclose(f);
%enter the name of the mat file to be created
tmp = [dirnm '_data'];
%conver to microvolts from volts
%if strcmp(type,'High')==1 | strcmp(type,'Low')==1
%AMP = 1000000*AMP;
%end
%-------------------------------
dirname = ['C:\MATLAB\work\DATA II'];%['C:\Matlab\work\' type '\' dirnm];
cd (dirname);
save (tmp,'AMP');